Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1690092 - [abrt] amdgpu_vm_bo_unmap: list_del corruption. next->prev should be ffff8e9161ea1ba8, but was ffff8e9165ea1ba8 [amdgpu] [NEEDINFO]
Summary: [abrt] amdgpu_vm_bo_unmap: list_del corruption. next->prev should be ffff8e91...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ecd4911c69a155cacb875ea0419...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-18 18:57 UTC by Sylvain Réault
Modified: 2019-04-09 20:45 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
labbott: needinfo? (vindicators)


Attachments (Terms of Use)
File: dmesg (deleted)
2019-03-18 18:57 UTC, Sylvain Réault
no flags Details

Description Sylvain Réault 2019-03-18 18:57:02 UTC
Additional info:
reporter:       libreport-2.10.0
list_del corruption. next->prev should be ffff8e9161ea1ba8, but was ffff8e9165ea1ba8
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:56!
invalid opcode: 0000 [#1] SMP NOPTI
CPU: 10 PID: 8096 Comm: plasmashell Not tainted 4.20.15-200.fc29.x86_64 #1
Hardware name: Micro-Star International Co., Ltd. MS-7B78/X470 GAMING PRO CARBON (MS-7B78), BIOS 2.80 03/06/2019
RIP: 0010:__list_del_entry_valid.cold.1+0x20/0x4c
Code: 71 11 89 e8 3c d0 c8 ff 0f 0b 48 89 fe 48 89 c2 48 c7 c7 30 72 11 89 e8 28 d0 c8 ff 0f 0b 48 c7 c7 e0 72 11 89 e8 1a d0 c8 ff <0f> 0b 48 89 f2 48 89 fe 48 c7 c7 a0 72 11 89 e8 06 d0 c8 ff 0f 0b
RSP: 0018:ffffa2fb8f233bc8 EFLAGS: 00010246
RAX: 0000000000000054 RBX: ffff8e9161ea1ba0 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff8e916e8968c8 RDI: ffff8e916e8968c8
RBP: ffff8e9119fe5800 R08: 0000000000000064 R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8e9087ea4b00
R13: ffffa2fb8f233d98 R14: ffff8e9161ea1ba8 R15: 0000000000000001
FS:  00007f1c82a95e00(0000) GS:ffff8e916e880000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f1c6daaa000 CR3: 000000078d43c000 CR4: 00000000003406e0
Call Trace:
 amdgpu_vm_bo_unmap+0xab/0x1b0 [amdgpu]
 amdgpu_gem_va_ioctl+0x3f5/0x530 [amdgpu]
 ? __radix_tree_lookup+0x91/0xa0
 ? amdgpu_gem_metadata_ioctl+0x1a0/0x1a0 [amdgpu]
 drm_ioctl_kernel+0xa9/0xf0 [drm]
 drm_ioctl+0x205/0x3a0 [drm]
 ? amdgpu_gem_metadata_ioctl+0x1a0/0x1a0 [amdgpu]
 ? __handle_mm_fault+0xe5d/0x1360
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x630
 ksys_ioctl+0x60/0x90
 __x64_sys_ioctl+0x16/0x20
 do_syscall_64+0x5b/0x160
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7f1c85d9c09b
Code: 0f 1e fa 48 8b 05 ed bd 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d bd bd 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007ffe92e38cc8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000000000000000 RCX: 00007f1c85d9c09b
RDX: 00007ffe92e38d10 RSI: 00000000c0286448 RDI: 0000000000000011
RBP: 00007ffe92e38d10 R08: 0000000101200000 R09: 000000000000000e
R10: 000000000000000d R11: 0000000000000246 R12: 00000000c0286448
R13: 0000000000000011 R14: 0000000000000002 R15: 0000562725b11f60
Modules linked in: ipt_MASQUERADE xt_CHECKSUM tun bridge stp llc devlink ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables nct6775 hwmon_vid sunrpc dm_crypt xfs vfat fat libcrc32c edac_mce_amd kvm_amd kvm irqbypass snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul snd_hda_intel snd_hda_codec snd_usb_audio ghash_clmulni_intel snd_hda_core snd_usbmidi_lib snd_seq snd_hwdep snd_rawmidi snd_seq_device wmi_bmof snd_pcm mxm_wmi ccp snd_timer sp5100_tco snd k10temp i2c_piix4 joydev soundcore gpio_amdpt gpio_generic pcc_cpufreq acpi_cpufreq amdgpu hid_logitech_hidpp chash amd_iommu_v2 gpu_sched drm_kms_helper ttm igb drm uas dca crc32c_intel i2c_algo_bit nvme usb_storage
 hid_logitech nvme_core hid_logitech_dj ff_memless wmi pinctrl_amd

Comment 1 Sylvain Réault 2019-03-18 18:57:06 UTC
Created attachment 1545413 [details]
File: dmesg

Comment 2 Laura Abbott 2019-04-09 20:45:59 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora XX has now been rebased to 5.0.6  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.
 
If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.